const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const user_types = sequelize.define(
    'user_types',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

is_admin: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

name: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  user_types.associate = (db) => {

    db.user_types.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.user_types.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return user_types;
};

